ports/131002: [DEPRECATE] databases/rubygem-rrdtool

Konstantin Saurbier saurbier at math.uni-bielefeld.de
Mon Jan 26 09:00:02 UTC 2009


>Number:         131002
>Category:       ports
>Synopsis:       [DEPRECATE] databases/rubygem-rrdtool
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          maintainer-update
>Submitter-Id:   current-users
>Arrival-Date:   Mon Jan 26 09:00:01 UTC 2009
>Closed-Date:
>Last-Modified:
>Originator:     Konstantin Saurbier
>Release:        7.1-RELEASE
>Organization:
>Environment:
FreeBSD merkur.saurbier.net 7.1-RELEASE FreeBSD 7.1-RELEASE #0: Thu Jan  1 14:37:25 UTC 2009     root at logan.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC  i386
>Description:
The rubygem-rrdtool port is no longer maintained by upstream developers.
Additionally it does not compile with rrdtool 1.3.

As rrdtool ships with its own ruby bindings, at least since version 1.3,
I want to mark rubygem-rrdtool als deprecated.

>How-To-Repeat:
Install rrdtool >=1.3
>Fix:


Patch attached with submission follows:

--- ./rubygem-rrdtool.orig/Makefile	2008-06-24 14:34:50.000000000 +0200
+++ ./rubygem-rrdtool/Makefile	2009-01-26 09:39:43.000000000 +0100
@@ -20,6 +20,9 @@
 
 BROKEN=		does not compile with rrdtool 1.3
 
+DEPRECATED=	port no longer maintained by upstream use rrdtools own ruby bindings instead
+EXPIRATION_DATE=	2009-03-01
+
 GEM_NAME=	RubyRRDtool-0.6.0
 GEM_ENV=	MAKEFLAGS="CPPFLAGS=-I${LOCALBASE}/include"
 


>Release-Note:
>Audit-Trail:
>Unformatted:



More information about the freebsd-ports-bugs mailing list